#!/bin/bash

NEXTCLOUD_USERNAME=${NEXTCLOUD_USERNAME:-username}
NEXTCLOUD_PASSWORD=${NEXTCLOUD_PASSWORD:-password}
NEXTCLOUD_URL=${NEXTCLOUD_URL:-https://nextcloud.example.com}
NEXTCLOUD_DIR=${NEXTCLOUD_DIR:-/data}
NEXTCLOUD_DIR_CHOWN=${NEXTCLOUD_DIR_CHOWN:-1}

PARAMS=()
if [ "${NEXTCLOUD_FORCE_TRUST}" = "1" ] ; then
	PARAMS+=("--trust")
fi
if [ ! "${NEXTCLOUD_HTTPPROXY}" = "" ] ; then
	PARAMS+=("--httpproxy")
	PARAMS+=("${NEXTCLOUD_HTTPPROXY}")
fi
if [ ! "${NEXTCLOUD_UPLIMIT}" = "" ] ; then
	PARAMS+=("--uplimit")
	PARAMS+=("${NEXTCLOUD_UPLIMIT}")
fi
if [ ! "${NEXTCLOUD_DOWNLIMIT}" = "" ] ; then
	PARAMS+=("--downlimit")
	PARAMS+=("${NEXTCLOUD_DOWNLIMIT}")
fi
if [ ! "${NEXTCLOUD_EXCLUDEFILE}" = "" ] ; then
	if [ -r "${NEXTCLOUD_EXCLUDEFILE}" ] ; then
		PARAMS+=("--exclude")
		PARAMS+=("${NEXTCLOUD_EXCLUDEFILE}")
	fi
fi
if [ ! "${NEXTCLOUD_UNSYNCFILE}" = "" ] ; then
	if [ -r "${NEXTCLOUD_UNSYNCFILE}" ] ; then
		PARAMS+=("--unsyncedfolders")
		PARAMS+=("${NEXTCLOUD_UNSYNCFILE}")
	fi
fi
if [ "${NEXTCLOUD_SILENT}" = "1" ] ; then
	PARAMS+=("--silent")
fi

PARAMS+=("--non-interactive")
PARAMS+=("-u")
PARAMS+=("${NEXTCLOUD_USERNAME}")
PARAMS+=("-p")
PARAMS+=("${NEXTCLOUD_PASSWORD}")
PARAMS+=("${NEXTCLOUD_DIR}")
PARAMS+=("${NEXTCLOUD_URL}")

/usr/bin/nextcloudcmd "${PARAMS[@]}"
